DTXr - Bug #8

Missing support for DAVITOR legacy devices.
09/04/2022 05:15 PM - David Fredriksson

Status: Closed Start date: 09/04/2022
Priority: Normal Due date:

Assignee: Torbjorn Carlgvist Admin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.0.16

Reported Version: 3.0.15

Description
On gateway SLITE when browsing device (DT-13) 373 (Ytterbelysning) on net 3003

The DAVITOR USER properties 516 - 617 are missing in the definition-files.

//DAVITOR AB Propretary

bacglCode = new Propertyldentifier(512);
bacqglScriptState = new Propertyldentifier(513);
bacqlScriptStateRequest = new Propertyldentifier(514);

Also the schedule object cant be browsed.
The components can be read or written but nit browsed.

Controller.readProperty(373,schedule,instance_0,weeklySchedule);

Controller.readProperty(373,schedule,instance_0,objectName);
Controller.readProperty(373,schedule,instance_0,priorityForWriting);
Controller.readProperty(373,schedule,instance_0,effectivePeriod);

{ "endDate":
{
"nameOfMonth" : "UNSPECIFIED",
"dayOfWeek" : "UNSPECIFIED",
"month":-1,

"year":2032,
"day":255

}I

"startDate":

{
"nameOfMonth" : "UNSPECIFIED",
"dayOfWeek" : "UNSPECIFIED",
"month":-1,
"year":2020,
"day":255

}
What does month:-1 mean?

Controller.readProperty(373,schedule,instance_0,listOfObjectPropertyReferences);->

[ {'objectinstance":0,"property":85,"objectType":4}, {"objectinstance":0,"property":0,"objectType":0},
{"objectinstance":0,"property":0,"objectType":0}

]
property 85 is present value
object type 4 is Binary Output.

Controller.readProperty(373,schedule,instance_0,outOfService);
Controller.readProperty(373,schedule,instance_0,presentValue);

History
#1 - 09/04/2022 09:29 PM - Torbjorn Carlqvist Admin
- Target version set to 3.0.16

- Reported Version set to 3.0.15

#2 - 12/02/2022 07:48 PM - Torbjorn Carlqvist Admin
- Status changed from New to Resolved

- Assignee set to Torbjorn Carlqvist Admin

#3 - 12/02/2022 07:48 PM - Torbjorn Carlqvist Admin

- Status changed from Resolved to Closed

This was fixed.
